
#include <stdio.h>
#include "picprog.h"

int main(void)
{
  int picAddress = 0;
  int osccal = 0;
  int configword = 0;

  
  if (ERROR == initLib())
  {
    printf("Could not init PIC library!\n");
    return ERROR;
  }

  
  setInactiveMode();
  printf("Attach adapter to parallel port and press RETURN.\n");
  getchar();
  setProgrammingMode();
  printf("Programming mode is ON now!\n");
  printf("Press RETURN again to start.\n");
  getchar();

  
  for (; picAddress < 0x3FF; ++picAddress)
    incrementAddress();

  osccal = readDataWordPM();

  printf("OSCCAL value 0x3FF is: %X\n", osccal);
  
  loadConfig();

  incrementAddress();
  incrementAddress();
  incrementAddress();
  incrementAddress();
  incrementAddress();
  incrementAddress();
  incrementAddress();
  configword = readDataWordPM();

  printf("Config word is: %X\n", configword);

  setInactiveMode();
  closeLib();

  return 0;
}

